extends Node2D

# ポップアップウィンドウをプリロード
var Popup = preload("res://Dialog.tscn")

func _on_Button_pressed():
	# ポップアップウィンドウ呼び出し
	var popup = Popup.instance()

	# ポーズ開始。ゲームを止める
	get_tree().paused = true
	add_child(popup)
	
	#popup.show_modal(true)
	popup.popup_centered_ratio(1)

	# popup終了時に "_resume()" を呼び出す
	popup.connect('tree_exited', self, '_resume')

func _resume():
	# ウィンドウを閉じたときのコールバック
	var tree = get_tree()
	if tree:
		# ポーズ解除
		 tree.paused = false 
